Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.api.plugins
[Groovy] Class ApplicationPlugin

    java.lang.Object
      org.gradle.api.plugins.ApplicationPlugin

All Implemented Interfaces:
  Plugin

    class ApplicationPlugin

A Plugin which runs a project as a Java Application.

Authors:
  Rene Groeschke

Property Summary
`static String` | `APPLICATION_GROUP`
`static String` | `APPLICATION_PLUGIN_NAME`
`static String` | `TASK_DIST_ZIP_NAME`
`static String` | `TASK_INSTALL_NAME`
`static String` | `TASK_RUN_NAME`
`static String` | `TASK_START_SCRIPTS_NAME`

Method Summary
`void` | `apply(Project project)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Property Detail

### APPLICATION_GROUP

    static final String APPLICATION_GROUP

### APPLICATION_PLUGIN_NAME

    static final String APPLICATION_PLUGIN_NAME

### TASK_DIST_ZIP_NAME

    static final String TASK_DIST_ZIP_NAME

### TASK_INSTALL_NAME

    static final String TASK_INSTALL_NAME

### TASK_RUN_NAME

    static final String TASK_RUN_NAME

### TASK_START_SCRIPTS_NAME

    static final String TASK_START_SCRIPTS_NAME

Method Detail

### apply

    void apply(Project project)

Gradle API 1.1-rc-1